require 'observer'

module Rackprof
  class GCNotify
    include Singleton
    include Observable

    def start
      EM.run do
        EM.add_periodic_timer(3) do
          notify if count_observers > 0
        end
      end
    end

    def notify
      changed
      notify_observers
    end
  end
end
