module Rackprof
  class Middleware
    IGNORE_REQUESTS = /(assets|rackprof)/

    def initialize(app)
      @app = app
    end

    def call(env)
      if env['PATH_INFO'] !~ IGNORE_REQUESTS
        RequestNotify.instance.notify { @app.call(env) }
      else
        @app.call(env)
      end
    end
  end
end
